Bug 68226 - [EFL] Bump minimum requirement for cairo to 1.10.
Summary: [EFL] Bump minimum requirement for cairo to 1.10.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryuan Choi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 23:54 PDT by Ryuan Choi
Modified: 2011-09-17 02:27 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.86 KB, patch)
2011-09-16 00:01 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2011-09-15 23:54:17 PDT
Since r94876, WebKit/Efl require cairo 1.10.

But, OptionsEfl.cmake mentioned 1.6 and FindCairo.cmake doesn't check version.
Comment 1 Ryuan Choi 2011-09-16 00:00:59 PDT
Below are error message.

[  8%] [  8%] [  8%] Building CXX object WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/CairoUtilities.cpp.o
Building CXX object WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/FontCairo.cpp.o
Building CXX object WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/GraphicsContextCairo.cpp.o
[  8%] Building CXX object WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/ImageBufferCairo.cpp.o
In file included from /home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:28:
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: ISO C++ forbids declaration of ‘cairo_region_t’ with no type
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: expected ‘,’ or ‘...’ before ‘*’ token
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:84: error: ISO C++ forbids declaration of ‘cairo_region_t’ with no type
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:84: error: expected ‘,’ or ‘...’ before ‘*’ token
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp: In function ‘void WebCore::appendRegionToCairoContext(cairo_t*, int)’:
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:86: error: ‘region’ was not declared in this scope
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:89: error: ‘region’ was not declared in this scope
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:89: error: ‘cairo_region_num_rectangles’ was not declared in this scope
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:91: error: aggregate ‘cairo_rectangle_int_t rect’ has incomplete type and cannot be defined
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.cpp:92: error: ‘cairo_region_get_rectangle’ was not declared in this scope
make[2]: *** [WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/CairoUtilities.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
In file included from /home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/GraphicsContextCairo.cpp:38:
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: ISO C++ forbids declaration of ‘cairo_region_t’ with no type
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: expected ‘,’ or ‘...’ before ‘*’ token
In file included from /home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/FontCairo.cpp:34:
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: ISO C++ forbids declaration of ‘cairo_region_t’ with no type
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: expected ‘,’ or ‘...’ before ‘*’ token
In file included from /home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/ImageBufferCairo.cpp:34:
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: ISO C++ forbids declaration of ‘cairo_region_t’ with no type
/home/hyuki/webkit/WebKit/Source/WebCore/platform/graphics/cairo/CairoUtilities.h:47: error: expected ‘,’ or ‘...’ before ‘*’ token
make[2]: *** [WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/ImageBufferCairo.cpp.o] Error 1
make[2]: *** [WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/GraphicsContextCairo.cpp.o] Error 1
make[2]: *** [WebCore/CMakeFiles/webcore_efl.dir/platform/graphics/cairo/FontCairo.cpp.o] Error 1
Comment 2 Ryuan Choi 2011-09-16 00:01:15 PDT
Created attachment 107612 [details]
Patch
Comment 3 Raphael Kubo da Costa (:rakuco) 2011-09-16 06:41:10 PDT
LGTM.
Comment 4 WebKit Review Bot 2011-09-17 02:27:21 PDT
Comment on attachment 107612 [details]
Patch

Clearing flags on attachment: 107612

Committed r95379: <http://trac.webkit.org/changeset/95379>
Comment 5 WebKit Review Bot 2011-09-17 02:27:26 PDT
All reviewed patches have been landed.  Closing bug.